*
*
*   Plik latex.q
*
*   Plik latex.q zawiera makro ` i @` oraz opis archiwum 4qedit.zip
*
*   Makro ` wspolpracuje z programem QEDIT i wraz z plikiem qlatex wspomaga
*   edycje dokumentow pisanych w formacie LaTeX 2.09.
*
*   Makro @` wypisuje znak `.
*
*
*   Plik qlatex
*
*   Plik qlatex zawiera klucze dla makro ` oraz ich rozwiniecia.
*
*   Lewa kolumna pliku qlatex sklada sie z kluczy (poprzedzonych znakiem :),
*   ktore wywoluja polecenia, parametry itp. z prawej kolumny.
*
*   Kolumna kluczy zaczyna sie w drugiej kolumnie pliku qlatex, kolumna
*   polecen i parametrow w dziewiatej kolumnie pliku.
*
*   Klucz moze sie skladac wylacznie ze znakow alfanumerycznych i nie moze
*   byc dluzszy niz siedmioznakowy.
*
*   Litery duze i male sa rozrozniane.
*
*
*   Plik qlatex.hlp
*
*   Plik qlatex.hlp zawiera spis czesciej uzywanych polecen i parametrow
*   wraz z odpowiadajacymi im kluczami.
*
*
*   Konfiguracja
*
*   1. W pliku qconfig.dat skasowac puste przypisania klawiszy ` i @`.
*
*   2. Makro ` i @` wkopiowac do pliku qconfig.dat.
*
*   3. Sciezke dostepu w czwartym wersie makro ` zmienic zgodnie z przyjeta
*      lokalizacja pliku qlatex (p. linia 150 niniejszego pliku).
*
*   4. Przeprowadzic rekonfiguracje programu qedit programem qconfig.
*
*      (Oprocz ponownego wczytania pliku qconfig.dat, mozna w miejsce pliku
*      qhelp.txt wczytac plik qlatex.hlp.)
*
*
*   Konfiguracja alternatywna
*
*   1. Sciezke dostepu w czwartym wersie makro ` zmienic zgodnie z przyjeta
*      lokalizacja pliku qlatex (p. linia 150 niniejszego pliku).
*
*   2. Skompilowac makro latex.q programem qmac:
*
*      qmac latex.mac latex.q /b /a-
*
*   3. Utworzyc program qed.bat, ktory bedzie wczytywal makro ` i @`:
*
*      f:\bin\qedit\q -lf:\bin\qedit\latex.mac %1 %2 %3 %4 %5 %6 %7 %8 %9
*
*      (Sciezke dostepu do programu qedit i do pliku latex.mac nalezy
*      uzgodnic z przyjeta lokalizacja tych plikow.)
*
*   4. W miejsce pliku qhelp.txt mozna wczytac plik qlatex.hlp (opcja).
*
*
*   Uzycie makro `
*
*   Pojedynczy przebieg makro ` obejmuje wypisanie wybranego klucza i
*   nacisniecie klawisza `, powodujace rozwiniecie klucza do postaci
*   polecenia lub parametru.
*
*   Po zakonczeniu przebiegu makro, kursor ustawia sie tuz za wpisanym
*   poleceniem lub parametrem, o ile nie wystepuje w nim sekwencja znakow ""
*   (polecenie \verb"") lub puste nawiasy: [], () albo {}. W tym drugim
*   wypadku, kursor ustawia sie w obrebie cudzyslowu lub nawiasu.
*
*   Sekwencje znakow niewystepujace w pliku qlatex jako klucze sa zaznaczane
*   blokiem ulatwiajacym ich usuniecie z edytowanego pliku.
*
*
*   Przyklad
*
*   Najprostszy dokument w formacie LaTeX 2.09 ma postac:
*
*      \documentstyle[a4]{article}
*      \begin{document}
*      _
*      \end{document}
*
*   Z pomoca makro ` i pliku qlatex mozna go uzyskac naciskajac kolejno:
*
*      dsa` RETURN bgdc` RETURN RETURN eddc` HOME CURSORUP
*
*   Przy tradycyjnej edycji uzyskanie tego dokumentu wymaga nacisniecia 68
*   klawiszy, w tym jedenastokrotnie znakow specjalnych i szesciokrotnie
*   klawisza SHIFT.
*
*   Przy edycji wspomaganej przez makro ` uzyskanie tego dokumentu wymaga
*   nacisniecia 19 klawiszy, w tym trzykrotnie klawisza `.
*
*   Powyzszy dokument mozna tez uzyskac wywolujac poszczegolne klucze
*   sekwencyjnie:
*
*      ds` aa` END RETURN bg` dc` END RETURN RETURN ed` dc` HOME CURSORUP
*
*
*   Makro jednowersowe
*
*   W razie zamiany makro ` na jednowersowe po jego uprzedniej kompilacji i
*   dekompilacji programem qmac, nalezy zastapic ciag znakow """" ciagiem
*   '"' (por. dwunasty wers oryginalnego makro), gdyz w przeciwnym razie
*   program qconfig zglosi blad:
*
*      Unknown command ]" at line ???.
*
*
*   TeX i LaTeX2e
*
*   Majac za wzor plik qlatex, latwo jest utworzyc pliki wspomagajace edycje
*   dokumentow pisanych w formacie TeX lub LaTeX2e.
*
*
*   Licencja
*
*   Archiwum 4qedit.zip jest dobrem wspolnym (public domain) i nie ma zadnej
*   gwarancji.
*
*   Pliki z archiwum 4qedit.zip mozna przystosowywac do wlasnych potrzeb,
*   ale zabrania sie rozprowadzania ich w wersji innej niz oryginalna.
*
*
*   Autor
*
*   Cezary M. Kruk
*   ul. Zielonogorska 7 m. 2
*   53-617 Wroclaw
*   (0-71) 55 67 94
*

*
*   Makro `
*

`   MacroBegin SetScreenOff SetSoundOff
    UnmarkBlock "" CursorLeft CursorLeft
    MarkWord GotoBlockBeg Copy
    EditFile "f:\bin\qedit\qlatex" Return BegFile
    Find ":" Paste Return "w" Return JFalse Label0:
    GotoColumn "9" Return
    isEndLine JTrue Label1:
    MarkCharacter EndLine MarkCharacter Copy
    Quit
    MarkWord DeleteBlock
    Paste Find "" Return DelLine Return DelCh GotoBlockBeg
    Find '"' Return "l" Return JTrue Label2:
    Find "[]" Return "l" Return JTrue Label3:
    Find "()" Return "l" Return JTrue Label4:
    Find "{}" Return "l" Return JTrue Label5:
    GotoBlockEnd Jump Label6:
    Label2: Label3: Label4: Label5: CursorRight
    Label6: UnmarkBlock
    Find DelLine Return SetScreenOn SetSoundOn MacroQuit
    Label0: Label1: Quit
    MarkWord Find "" Return DelLine Return DelCh
    Find DelLine Return SetScreenOn SetSoundOn

*
*   Makro @`
*

@`  MacroBegin "`"

